Name: liborcus
Version: 0.3.0
Release: 5%{?dist}
Summary: Standalone file import filter library for spreadsheet documents

Group: System Environment/Libraries
License: MIT
URL: http://gitorious.org/orcus
Source: http://kohei.us/files/orcus/src/%{name}_%{version}.tar.bz2

# libs
BuildRequires: boost-devel
BuildRequires: mdds-devel
BuildRequires: zlib-devel

Patch1: boost-include.patch

%description
%{name} is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools for working with Orcus
Group: Applications/Publishing
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tools
Tools for working with Orcus.


%prep
%setup -q -n %{name}_%{version}
%patch1 -p1 -b .boost-include.patch


%build
# TODO spreadsheet-model requires ixion
%configure --disable-debug --disable-static --disable-werror --with-pic \
    --disable-spreadsheet-model --without-libzip
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS
%{_libdir}/%{name}-0.4.so.*


%files devel
%{_includedir}/%{name}-0.4
%{_libdir}/%{name}-0.4.so
%{_libdir}/pkgconfig/%{name}-0.4.pc


%files tools
%{_bindir}/orcus-xml-dump


%changelog
* Sat Mar 09 2013 Andrew Wyatt <andrew@fuduntu.org> - 0.3.0-5
- Built for Fuduntu

* Fri Feb 15 2013 Stephan Bergmannn <sbergman@redhat.com> - 0.3.0-5
- missing boost include

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.3.0-4
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.3.0-3
- Rebuild for Boost-1.53.0

* Sat Dec 08 2012 David Tardon <dtardon@redhat.com> - 0.3.0-2
- a pointless release bump

* Fri Dec 07 2012 David Tardon <dtardon@redhat.com> - 0.3.0-1
- new release

* Sun Sep 09 2012 David Tardon <dtardon@redhat.com> - 0.1.0-1
- initial import
